<?php
$institucionalDao = new \Dao\Institucional();
$institucionalDao->getTextoPorId($conecta, filter_input(INPUT_POST, 'id'));
$institucionalDao->titulo = $conecta->real_escape_string(filter_input(INPUT_POST, 'titulo'));
$institucionalDao->texto = addslashes(filter_input(INPUT_POST, 'texto'));
$institucionalDao->ordem = \Dao\Funcoes::getUltimoId($conecta, 'institucional', 'ordem');
$institucionalDao->slug = \Dao\Funcoes::removeCharacters($institucionalDao->titulo, '-');
$institucionalDao->data_cadastro = date('Y-m-d H:i:s');
$institucionalDao->usuario_cadastrou = $_SESSION['id_usuario'];
$institucionalDao->data_alteracao = date('Y-m-d H:i:s');
$institucionalDao->usuario_alterou = $_SESSION['id_usuario'];
if (!empty($_FILES['image']['name'])) {
    if ($institucionalDao->image != '' && file_exists($pasta . $institucionalDao->image))
        unlink($pasta . $institucionalDao->image);
    $institucionalDao->image = \Dao\Funcoes::randFileName($_FILES['image']['name']);
    $dataX = $conecta->real_escape_string(filter_input(INPUT_POST, 'dataX'));
    $dataY = $conecta->real_escape_string(filter_input(INPUT_POST, 'dataY'));
    $dataWidth = $conecta->real_escape_string(filter_input(INPUT_POST, 'dataWidth'));
    $dataHeight = $conecta->real_escape_string(filter_input(INPUT_POST, 'dataHeight'));
    $wide = WideImage::load($_FILES['image']['tmp_name']);
    $crop = $wide->crop($dataX, $dataY, $dataWidth, $dataHeight);
    $crop->saveToFile($pasta . $institucionalDao->image);
}
$res = json_decode($institucionalDao->salvar($conecta));
if ($res->data == 'Success') 
    \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'institucional.php');
else 
    \Dao\Funcoes::displayMessage('Erro', $res->message, 'institucional.php', 'red');